Intel® Quartus® Prime Software
Intel® Quartus® Prime Design Software, Design Entry, Synthesis, Simulation, Verification, Timing Analysis, System Design (Platform Designer, formerly Qsys)
16700 Discussions

Quartus 20.1.1 - Error in HDL generation from Platform Designer

syam
Novice
1,133 Views

Hello

I am compiling my project using Quartus 20.1.1. My Windows build info is given below. 

syam_0-1652364746567.png

Following the thread here where a similar error is described I have also done the following. I also tried the hacks mentioned in there. But the error persists. Please help. 

syam_1-1652364791455.png

I have attached the full error log from platform designer for reference. 

 

Best Regards

Syam

 

 

0 Kudos
7 Replies
SyafieqS
Employee
1,114 Views

Syam,


Can you reattach the error log. I cant see the error report as you mentioned.


0 Kudos
syam
Novice
1,107 Views

Sorry. Attached now...Syam

0 Kudos
syam
Novice
1,084 Views

Kindly respond. 

 

Even the link mentioned in your KB article is not working 

 

 

0 Kudos
SyafieqS
Employee
1,054 Views

Syam,


Can you attach the qar design or zip for me to reproduce the issue at my end?



0 Kudos
SyafieqS
Employee
1,035 Views

Syam,


May I know if there is any update from my previous reply?


0 Kudos
SyafieqS
Employee
1,022 Views

Hi Syam,


Since you are not able to provide the small test case design, I am not able to further replicate and debug the issue. This issue might me related to WSL installation. From the log, you may see the error message like below: 


Error: s0: Cannot find sequencer/sequencer.elf


This error occurs when the DDR3 IP generation tries to invoke the Nios2 Command Shell and it fails. In Windows, the most common reason is that Windows Subsystem for Linux (WSL) is not properly installed on the user's machine. In Linux, either or both of the 32-bit libraries and build essentials are not installed correctly.


For Win 10

- Reinstall WSL properly (make sure all the package downladed successfuly).

- Might need to disable vpn/antivirus/security that restrict the package download


Linux


- install below package


sudo dpkg --add-architecture i386

sudo apt update

sudo apt install build-essential 



0 Kudos
SyafieqS
Employee
1,015 Views

We do not receive any response from you to the previous reply that I have provided, thus I will put this case to close pending. Please post a response in the next 15 days to allow me to continue to support you. After 15 days, this thread will be transitioned to community support. The community users will be able to help you with your follow-up questions. 


0 Kudos
Reply